curl --request GET \
--url https://api.syntage.com/webhook-requests \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.syntage.com/webhook-requests"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.syntage.com/webhook-requests', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"@context": "/contexts/WebhookRequest",
"@id": "/webhook-requests",
"@type": "hydra:Collection",
"hydra:member": [
{
"@id": "/webhook-requests/91106968-1abd-4d64-85c1-4e73d96fb997",
"@type": "WebhookRequest",
"id": "e0a24894-7fbf-48ae-bfb0-efaae30a6319",
"webhookEndpoint": {
"@id": "/webhook-endpoints/91106968-1abd-4d64-85c1-4e73d96fb997",
"@type": "WebhookEndpoint",
"id": "e0a24894-7fbf-48ae-bfb0-efaae30a6319",
"url": "https://example.com/webhooks/syntage",
"signingSecret": "54471a278d46c86ec6cd365983552a28",
"events": [
"extraction.updated",
"invoice.created"
],
"enabled": true,
"contentType": "application/ld+json",
"createdAt": "2020-01-01T12:15:00.000Z",
"updatedAt": "2020-01-01T12:15:00.000Z"
},
"url": "https://example.com/webhooks/syntage",
"responseStatusCode": 200,
"responseTime": 0.21983,
"createdAt": "2020-01-01T12:15:00.000Z",
"updatedAt": "2020-01-01T12:15:00.000Z"
}
],
"hydra:view": {
"@id": "<string>",
"@type": "hydra:PartialCollectionView",
"hydra:next": "/entity/2a15f539-3251-48e1-aaeb-a154dc9c6edb/resource?id[lt]=9b8e5365-0b36-45f5-9c76-fbe439632367",
"hydra:last": "/entity/2a15f539-3251-48e1-aaeb-a154dc9c6edb/resource?id[gt]=9b8e5365-0b36-45f5-9c76-fbe439632367"
},
"hydra:search": {
"@type": "<string>",
"hydra:template": "<string>",
"hydra:variableRepresentation": "<string>",
"hydra:mapping": [
{
"@type": "<string>",
"variable": "<string>",
"property": "<string>",
"required": true
}
]
}
}{
"message": "<string>"
}List webhook requests
List webhook delivery attempts for your organization.
Authorizations
Your API key is available in the Production and Sandbox dashboards.
Query Parameters
Filter by endpoint URL using exact match Endpoint URL used for the delivery attempt
"https://example.com/webhooks/syntage"
Filter by response status code
HTTP status code returned by the endpoint, or 0 when Syntage did not receive a response
200
Filter by event ID
"e0a24894-7fbf-48ae-bfb0-efaae30a6319"
Filter by event type
credential.created, credential.updated, credential.deleted, link.created, link.updated, link.deleted, file.created, extraction.created, extraction.updated, invoice.created, invoice.updated, invoice.deleted, invoice_payment.created, invoice_payment.updated, invoice_line_item.created, invoice_line_item.updated, tax_return.created, tax_return.updated, tax_return.deleted, export.created, export.updated, tax_status.created, tax_status.updated, tax_status.deleted, tax_compliance_check.created, tax_compliance_check.updated, tax_compliance_check.deleted, tax_retention.created, tax_retention.updated, tax_retention.deleted, electronic_accounting_record.created, electronic_accounting_record.updated, electronic_accounting_record.deleted, rpc_entidades.created, rpc_entidades.updated, rpc_acto.created, rpc_acto.updated, rpc_socios.created, rpc_socios.updated, shareholder_relation.created, shareholder_relation.updated, shareholder_relation_source.created, rug_garantia.created, rug_garantia.updated, buro_de_credito_report.created, buro_de_credito_report.updated, sat_certificate.created, sat_certificate.updated, background_check.created, company_verification_report.created, company_verification_report.updated "credential.updated"
Filter by event source Source that originated the event
"/extractions/91106968-1abd-4d64-85c1-4e73d96fb997"
Filter by event resource Resource related to the event
"/credentials/91106968-1abd-4d64-85c1-4e73d96fb997"
Collection cursor pointer to the next page
Collection cursor pointer to the previous page
Number of items per page
1 <= x <= 1000Response
Webhook request collection response
Was this page helpful?